Loading...
Searching...
No Matches
_ocsd_stm_pkt Struct Reference
OpenCSD Library : Trace Packet Types

`#include <trc_pkt_types_stm.h>`

Inheritance diagram for _ocsd_stm_pkt:
[legend]

## Public Attributes

ocsd_stm_pkt_type | type
uint8_t | master
uint16_t | channel
uint64_t | timestamp
uint8_t | pkt_ts_bits
uint8_t | pkt_has_ts
ocsd_stm_ts_type | ts_type
uint8_t | pkt_has_marker
union { |
uint8_t D8 |
uint16_t D16 |
uint32_t D32 |
uint64_t D64 |
} | payload
ocsd_stm_pkt_type | err_type

## Detailed Description

STM trace packet

Structure containing the packet data for a single STM packet, plus data persisting between packets (master, channel, last timestamp).

Definition at line 100 of file trc_pkt_types_stm.h.

## Member Data Documentation

## channel

uint16_t _ocsd_stm_pkt::channel

current channel

Definition at line 105 of file trc_pkt_types_stm.h.

## D16

uint16_t _ocsd_stm_pkt::D16

payload for D16 data packet, or reserved opcode in bad packet header (1-3 nibbles)

Definition at line 117 of file trc_pkt_types_stm.h.

## D32

uint32_t _ocsd_stm_pkt::D32

payload for D32 data packet, or parameter value for other packets with 32 bit value [FREQ]

Definition at line 118 of file trc_pkt_types_stm.h.

## D64

uint64_t _ocsd_stm_pkt::D64

payload for D64 data packet

Definition at line 119 of file trc_pkt_types_stm.h.

## D8

uint8_t _ocsd_stm_pkt::D8

payload for D8 or D4 data packet, or parameter value for other packets with 8 bit value [VERSION, TRIG, xERR]

Definition at line 116 of file trc_pkt_types_stm.h.

## err_type

ocsd_stm_pkt_type _ocsd_stm_pkt::err_type

Initial type of packet if type indicates bad sequence.

Definition at line 122 of file trc_pkt_types_stm.h.

## master

uint8_t _ocsd_stm_pkt::master

current master

Definition at line 104 of file trc_pkt_types_stm.h.

## [union]

union { ... } _ocsd_stm_pkt::payload

## pkt_has_marker

uint8_t _ocsd_stm_pkt::pkt_has_marker

flag to indicate current packet has marker

Definition at line 113 of file trc_pkt_types_stm.h.

## pkt_has_ts

uint8_t _ocsd_stm_pkt::pkt_has_ts

current packet has associated timestamp (ts bits can be 0 if same value as last time)

Definition at line 109 of file trc_pkt_types_stm.h.

## pkt_ts_bits

uint8_t _ocsd_stm_pkt::pkt_ts_bits

timestamp bits updated this packet

Definition at line 108 of file trc_pkt_types_stm.h.

## timestamp

uint64_t _ocsd_stm_pkt::timestamp

latest timestamp value -> as binary - packet processor does grey decoding

Definition at line 107 of file trc_pkt_types_stm.h.

## ts_type

ocsd_stm_ts_type _ocsd_stm_pkt::ts_type

timestamp encoding type

Definition at line 111 of file trc_pkt_types_stm.h.

## type

ocsd_stm_pkt_type _ocsd_stm_pkt::type

STM packet type

Definition at line 102 of file trc_pkt_types_stm.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-wPklVS/libopencsd-1.5.5/decoder/include/opencsd/stm/trc_pkt_types_stm.h